View Issue Details

IDProjectCategoryView StatusLast Update
0023061mantisbtuipublic2017-09-03 18:41
ReporterdregadAssigned Todregad 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.0-beta.1 
Target Version2.6.0Fixed in Version2.6.0 
Summary0023061: print_manage_menu() does not highlight active plugin pages
Description

When a plugin adds a management page to the menu and that page is active, its tab in the menu is not highlighted to indicate that it is the currently active page.

See attached Selection_001.png; it should display as shown in Selection_002.png

Additional Information

Downstream report https://github.com/mantisbt-plugins/announce/issues/8

TagsNo tags attached.

Relationships

related to 0022730 closeddregad 'Manage Configuration' tab usually does not highlight 

Activities

dregad

dregad

2017-07-02 05:44

developer  

Selection_001.png (7,276 bytes)
Selection_001.png (7,276 bytes)
Selection_002.png (3,029 bytes)
Selection_002.png (3,029 bytes)
dregad

dregad

2017-07-02 05:51

developer   ~0057160

PR https://github.com/mantisbt/mantisbt/pull/1126

Related Changesets

MantisBT: master 8f5e129d

2017-07-02 05:47:55

dregad

Details Diff
Highlight the active Plugin page in manage menu

Fixes 0023061
mod - core/html_api.php Diff File

Issue History

Date Modified Username Field Change
2017-07-02 05:44 dregad New Issue
2017-07-02 05:44 dregad Status new => assigned
2017-07-02 05:44 dregad Assigned To => dregad
2017-07-02 05:44 dregad File Added: Selection_001.png
2017-07-02 05:44 dregad File Added: Selection_002.png
2017-07-02 05:51 dregad Note Added: 0057160
2017-07-02 05:53 atrol Relationship added related to 0022730
2017-07-06 06:55 dregad Changeset attached => MantisBT master 8f5e129d
2017-07-06 06:55 dregad Status assigned => resolved
2017-07-06 06:55 dregad Resolution open => fixed
2017-07-06 06:55 dregad Fixed in Version => 2.6.0
2017-09-03 18:41 vboctor Status resolved => closed